INPUTLEAPS(1)

NAME
input-leap - InputLeap Keyboard/Mouse Server

SYNOPSIS
input-leap [--address <address>] [--config <pathname>] [--display <display>] [--daemon|--no-daemon] [--name <screen-name>] [--restart|--no-restart] [--debug <level>]

DESCRIPTION
Start the InputLeap server component.

OPTIONS

-a, --address <address>
    listen for clients on the given address.

-c, --config <pathname>
    use the named configuration file instead.

-d, --debug <level>
    filter out log messages with priority below level. level may be: FATAL, ERROR, WARNING, NOTE, INFO, DEBUG, DEBUG1, DEBUG2.

-n, --name <screen-name> use screen-name instead the hostname to identify
    this screen in the configuration.

-1, --no-restart
    do not try to restart on failure.

--restart
    restart the server automatically if it fails. (*)

-l  --log <file>
    write log messages to file.

--no-tray
    disable the system tray icon.

--enable-drag-drop
    enable file drag & drop.

--enable-crypto
    enable the crypto (ssl) plugin.

--display <display>
    connect to the X server at <display>

--screen-change-script <path>
    full path to script to run on screen change first argument is the new screen name

-f, --no-daemon
    run in the foreground.

--daemon
    run as a daemon. (*)

-h, --help
    display this help and exit.

--version
    display version information and exit.

Default options are marked with a *

The argument for --address is of the form: [<hostname>][:<port>]. The hostname must be the address or hostname of an interface on the system. Placing brackets around an IPv6 address is required when also specifying a port number and optional otherwise. The default is to listen on all interfaces using port number 24800.

FILES
If no configuration file pathname is provided then the first of the following to load successfully sets the configuration:

    $HOME/.config/InputLeap/input-leap.conf
    /etc/input-leap.conf

COPYRIGHT
Copyright © 2018 Debauchee Open Source Group
Copyright © 2012-2016 Symless Ltd.
Copyright © 2008-2014 Nick Bolton
Copyright © 2002-2014 Chris Schoeneman